package jp.sourceforge.shovel.entity.impl;

import jp.sourceforge.shovel.entity.IClient;

public class SafariImpl extends AbstractClientImpl implements IClient {
    public String getApplication() {
        return "safari";
    }
    public static IClient testUserAgent(String userAgent) {
        IClient client = null;
        if (userAgent.startsWith("mozilla/5") && userAgent.indexOf("msie") == -1 &&
                userAgent.indexOf("safari") != -1) {
            client = (IClient)getContainer().getComponent(SafariImpl.class);
        }
        return client;
    }

}
